import { HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs';
export interface Download {
    content: Blob | null;
    progress: number;
    state: "PENDING" | "IN_PROGRESS" | "DONE";
}
export declare function download(saver?: (b: Blob) => void): (source: Observable<HttpEvent<Blob>>) => Observable<Download>;
